curl --request POST \
--url https://api.noyax.com/api/v1/products/{productId}/parameters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-CompanyID: <x-companyid>' \
--header 'X-UserID: <x-userid>' \
--data '
{
"ParameterDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Value": "Galvaniz"
}
'using RestSharp;
var options = new RestClientOptions("https://api.noyax.com/api/v1/products/{productId}/parameters");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-UserID", "<x-userid>");
request.AddHeader("X-CompanyID", "<x-companyid>");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"ParameterDefinitionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"Value\": \"Galvaniz\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
const options = {
method: 'POST',
headers: {
'X-UserID': '<x-userid>',
'X-CompanyID': '<x-companyid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ParameterDefinitionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
Value: 'Galvaniz'
})
};
fetch('https://api.noyax.com/api/v1/products/{productId}/parameters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.noyax.com/api/v1/products/{productId}/parameters"
payload = {
"ParameterDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Value": "Galvaniz"
}
headers = {
"X-UserID": "<x-userid>",
"X-CompanyID": "<x-companyid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"Success": true,
"ResultCode": "0000",
"Data": {
"Id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ProductId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ParameterDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ParameterName": "Malzeme",
"ParameterType": 123,
"Value": "<unknown>"
},
"Message": "<string>"
}{
"Success": false,
"ResultCode": "2203",
"Message": "This parameter definition already exists for the product.",
"Errors": [
{
"Code": "2203",
"Message": "This parameter definition already exists for the product."
}
]
}{
"Success": false,
"ResultCode": "0102",
"Message": "Token has expired. Obtain a new token using the refresh token.",
"Errors": [
{
"Code": "0102",
"Message": "Token has expired. Obtain a new token using the refresh token."
}
]
}{
"Success": false,
"ResultCode": "0110",
"Message": "You do not have permission for this operation.",
"Errors": [
{
"Code": "0110",
"Message": "You do not have permission for this operation."
}
]
}{
"Success": false,
"ResultCode": "0120",
"Message": "Daily request limit (10000) exceeded.",
"Errors": [
{
"Code": "0120",
"Message": "Daily request limit (10000) exceeded."
}
]
}Ürün parametre değeri oluştur
Ürüne yeni parametre değeri ekler.
curl --request POST \
--url https://api.noyax.com/api/v1/products/{productId}/parameters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-CompanyID: <x-companyid>' \
--header 'X-UserID: <x-userid>' \
--data '
{
"ParameterDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Value": "Galvaniz"
}
'using RestSharp;
var options = new RestClientOptions("https://api.noyax.com/api/v1/products/{productId}/parameters");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-UserID", "<x-userid>");
request.AddHeader("X-CompanyID", "<x-companyid>");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"ParameterDefinitionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"Value\": \"Galvaniz\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
const options = {
method: 'POST',
headers: {
'X-UserID': '<x-userid>',
'X-CompanyID': '<x-companyid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ParameterDefinitionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
Value: 'Galvaniz'
})
};
fetch('https://api.noyax.com/api/v1/products/{productId}/parameters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.noyax.com/api/v1/products/{productId}/parameters"
payload = {
"ParameterDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Value": "Galvaniz"
}
headers = {
"X-UserID": "<x-userid>",
"X-CompanyID": "<x-companyid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"Success": true,
"ResultCode": "0000",
"Data": {
"Id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ProductId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ParameterDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ParameterName": "Malzeme",
"ParameterType": 123,
"Value": "<unknown>"
},
"Message": "<string>"
}{
"Success": false,
"ResultCode": "2203",
"Message": "This parameter definition already exists for the product.",
"Errors": [
{
"Code": "2203",
"Message": "This parameter definition already exists for the product."
}
]
}{
"Success": false,
"ResultCode": "0102",
"Message": "Token has expired. Obtain a new token using the refresh token.",
"Errors": [
{
"Code": "0102",
"Message": "Token has expired. Obtain a new token using the refresh token."
}
]
}{
"Success": false,
"ResultCode": "0110",
"Message": "You do not have permission for this operation.",
"Errors": [
{
"Code": "0110",
"Message": "You do not have permission for this operation."
}
]
}{
"Success": false,
"ResultCode": "0120",
"Message": "Daily request limit (10000) exceeded.",
"Errors": [
{
"Code": "0120",
"Message": "Daily request limit (10000) exceeded."
}
]
}Value formatı tanımın tipine göre değişir:
| Tip | Anlamı | Örnek Value |
|---|---|---|
| 0 | Metin | "Galvaniz" |
| 1 | Evet/Hayır | true |
| 2 | Tam sayı | 12 |
| 3 | Ondalık sayı | 12.5 |
| 4 | Tarih | "2026-09-17" |
| 5 | Saat | "14:30" |
| 6 | Tarih ve saat | "2026-09-17T14:30:00" |
Yetkilendirmeler
Access token obtained from the Noyax auth service with your API key.
Başlıklar
İsteğin adına yapıldığı Noyax kullanıcısının ID'si. Oluşturulan, güncellenen ve silinen kayıtların denetim alanlarına yazılır.
x >= 1Şirketin ID'si. Kullanıcı bu şirkete tanımlı olmalıdır. Bütün okuma ve yazma işlemleri bu şirketle sınırlıdır.
x >= 1Muhasebe döneminin ID'si. Cari endpoint'lerinde isteğe bağlıdır; gönderilirse oluşturulan kayıtlara yazılır.
x >= 1Yol Parametreleri
Ürün ID'si.
Gövde
Zorunlu. GET /api/v1/products/parameter-definitions ile dönen bir parametre tanımının ID'si.
Zorunlu. Biçim, tanımın tipine göre değişir. 0: Metin, 1: true/false, 2: Tamsayı, 3: Ondalık (ayraç olarak nokta), 4: Tarih, 5: Saat, 6: Tarih ve saat (ISO 8601, ör. "2026-09-17T14:30:00").
"Galvaniz"
Yanıt
Created
İşlemin başarılı olup olmadığı.
true
Başarıda "0000". Hatada ilk hatanın kodu; hataların tamamı Errors içinde listelenir.
"0000"
Show child attributes
Show child attributes
Success false olduğunda hata mesajı. Bütün hataların mesajları tek metinde birleştirilir.